## autopkgtest 5.38+rocm2

=== debian/changelog ===
autopkgtest (5.38+rocm2) unstable; urgency=medium

  * Introduce --timeout-test-noprogress for lack of forward progress.
    This is an experimental feature.

 -- Christian Kastner <ckk@debian.org>  Thu, 10 Oct 2024 00:54:06 +0200

autopkgtest (5.38+rocm1) unstable; urgency=medium

  * Rebase our fork on new upstream version 5.38
    - Drop Ubuntu image building fixes (included upstream)
    - Drop command prompt timeout fixes (included upstream)
  * Cherry-pick the following from upstream HEAD, which should allow rocrand
    and slurm-wlm tests to pass again on ci.rocm.debian.net:
    - virt-qemu: Work around #1072004 in 9pfs

 -- Christian Kastner <ckk@debian.org>  Sun, 11 Aug 2024 20:54:36 +0200

## autopkgtest 5.39

=== Makefile ===
# This file is part of autopkgtest
# autopkgtest is a tool for testing Debian binary packages
#
# autopkgtest is Copyright (C) 2006 Canonical Ltd.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# See the file CREDITS for a full list of credits information (often
# installed as /usr/share/doc/autopkgtest/CREDITS).

prefix =	/usr
share =		$(DESTDIR)$(prefix)/share
bindir =	$(DESTDIR)$(prefix)/bin
man1dir =	$(share)/man/man1
pkgname =	autopkgtest
docdir =	$(share)/doc/$(pkgname)
datadir =	$(share)/$(pkgname)
pythondir = 	$(datadir)/lib

INSTALL =	install
INSTALL_DIRS =	$(INSTALL) -d
INSTALL_PROG =	$(INSTALL) -m 0755
INSTALL_DATA =	$(INSTALL) -m 0644

virts =		chroot \
		docker \
		lxc \
		lxd \
		null \
		qemu \
		schroot \
		ssh \
		unshare \
		$(NULL)

programs =	tools/autopkgtest-buildvm-ubuntu-cloud \
		tools/autopkgtest-build-docker \
		tools/autopkgtest-build-lxc \
		tools/autopkgtest-build-lxd \
		tools/autopkgtest-build-qemu \
		runner/autopkgtest \
		$(NULL)

pythonfiles =	lib/VirtSubproc.py \
		lib/adtlog.py \
		lib/autopkgtest_args.py \
		lib/autopkgtest_deps.py \
		lib/autopkgtest_qemu.py \
		lib/adt_testbed.py \
		lib/adt_binaries.py \
		lib/testdesc.py \
		$(NULL)

rstfiles =	$(wildcard doc/*.rst)
htmlfiles =	$(patsubst %.rst,%.html,$(rstfiles))

%.html: %.rst
	rst2html -v $< > $@

all: $(htmlfiles)

check:
	./tests/run-parallel

install:
	$(INSTALL_DIRS) \
		$(bindir) \
		$(docdir) \
		$(man1dir) \
		$(pythondir) \
		$(datadir)/lib/in-testbed \
		$(datadir)/setup-commands \
		$(datadir)/ssh-setup \
		$(NULL)
	set -e; for f in $(programs); do \
		$(INSTALL_PROG) $$f $(bindir); \
		test ! -f $$f.1 || $(INSTALL_DATA) $$f.1 $(man1dir); \
		done
	set -e; for f in $(virts); do \
		$(INSTALL_PROG) virt/autopkgtest-virt-$$f $(bindir); \
		$(INSTALL_DATA) virt/autopkgtest-virt-$${f}.1 $(man1dir); \
		done
	$(INSTALL_DATA) $(pythonfiles) $(pythondir)
	$(INSTALL_DATA) CREDITS $(docdir)
	$(INSTALL_DATA) $(rstfiles) $(htmlfiles) $(docdir)
	$(INSTALL_PROG) lib/in-testbed/*.sh $(datadir)/lib/in-testbed/
	$(INSTALL_PROG) lib/parse-deps.pl $(datadir)/lib/
	$(INSTALL_PROG) lib/unshare-helper $(datadir)/lib/
	$(INSTALL_PROG) setup-commands/*[!~] $(datadir)/setup-commands
	$(INSTALL_PROG) ssh-setup/[a-z]*[!~] $(datadir)/ssh-setup
	$(INSTALL_DATA) ssh-setup/SKELETON $(datadir)/ssh-setup
	ln -fns autopkgtest-virt-docker $(bindir)/autopkgtest-virt-podman
	ln -fns autopkgtest-virt-docker.1 $(man1dir)/autopkgtest-virt-podman.1
	ln -fns autopkgtest-build-docker $(bindir)/autopkgtest-build-podman
	ln -fns autopkgtest-build-docker.1 $(man1dir)/autopkgtest-build-podman.1
	ln -fns autopkgtest-virt-lxd $(bindir)/autopkgtest-virt-incus
	ln -fns autopkgtest-virt-lxd.1 $(man1dir)/autopkgtest-virt-incus.1
	ln -fns autopkgtest-build-lxd $(bindir)/autopkgtest-build-incus
	ln -fns autopkgtest-build-lxd.1 $(man1dir)/autopkgtest-build-incus.1

clean:
	rm -rf */__pycache__/
	rm -rf .mypy_cache/
	rm -f $(htmlfiles)

=== debian/changelog ===
autopkgtest (5.39) unstable; urgency=medium

  [ Paride Legovini ]
  * d/tests/lxd: drop racey workaround for the images: remote url,
    depend on a new enough lxd instead (Closes: #1078216)
  * d/control: bump Standards-Version to 4.7.0, no changes needed
  * Drop --testname argument, deprecated in 2017
  * a-v-unshare: create user with useradd --prefix instead of --root,
    to avoid chrooting into an environment that does not yet have /dev
    (Closes: #1077988)
  * Stop skipping d/t/unshare on Ubuntu, no longer necessary with the
    above a-v-unshare change
  * d/t/unshare: run tests in an Ubuntu testbed when host system is Ubuntu

  [ Ural Tunaboyu ]
  * autopkgtest-buildvm-ubuntu-cloud: improve dependency checks
    (LP: #2073938)

  [ Simon McVittie ]
  * virt-qemu: Work around #1072004 in 9pfs.
    Thanks to Dominique Martinet (Closes: #1071456) (Mitigates: #1072004)
  * build-podman: Don't assume that host is reachable as 10.0.2.2,
    which is no longer true when podman uses passt (Closes: #1078076)
  * qemu: Refactor to allow detection of dependencies
  * qemu: Update lists of architectures (Helps: #1062026)
  * build-*, virt-qemu, virt-docker/virt-podman, virt-lxc,
    virt-lxd/virt-incus: Check for (most) dependencies
    (Closes: #1021776, #1034351, #1039958, #1076739)
  * build-docker/build-podman, build-qemu: Fix running from source tree
  * tests: Skip tests involving mount points if we don't have
    CAP_SYS_ADMIN, for example in rootless podman (Closes: #1078215)
  * d/README.source: Mention the minimum Python version in testbeds (3.4)
  * d/control, d/tests/control: /usr/bin/docker is now in docker-cli
    (see also #1078269)
  * d/tests/control: Install passt along with newer podman versions
  * tests: Use a Debian mirror to test handling of persistent apt failures

  [ Jochen Sprickerhof ]
  * unshare: Make the chroot more minimal (mmdebstrap --variant=apt)

  [ Luca Boccassi ]
  * await-boot.sh: Make the check for systemd-sysv robust against tests
    that install a different init system (Closes: #1078510)

  [ Paul Gevers ]
  * wrapper.sh: Convert test exit codes 254 and 255 to 253, preventing
    misinterpretation as a testbed failure (Closes: #1078214)

  [ Johannes Schauer Marin Rodrigues ]
  * doc/README.package-tests.rst: Use a better example test name
  * doc/README.package-tests.rst: A test name cannot contain commas

 -- Simon McVittie <smcv@debian.org>  Mon, 12 Aug 2024 12:11:05 +0100

=== debian/control ===
Source: autopkgtest
Maintainer: Debian CI team <team+ci@tracker.debian.org>
Uploaders:
 Ian Jackson <ijackson@chiark.greenend.org.uk>,
 Martin Pitt <mpitt@debian.org>,
 Antonio Terceiro <terceiro@debian.org>,
 Paul Gevers <elbrus@debian.org>,
 Simon McVittie <smcv@debian.org>,
 Paride Legovini <paride@debian.org>,
Section: devel
Priority: optional
Standards-Version: 4.7.0
Build-Depends:
 debhelper-compat (= 13),
 fakeroot <!nocheck>,
 procps <!nocheck>,
 pycodestyle | pep8 <!nocheck>,
 pyflakes3 <!nocheck>,
 python3 (>= 3.8),
 python3-cap-ng <!nocheck>,
 python3-debian <!nocheck>,
 python3-docutils,
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/ci-team/autopkgtest.git
Vcs-Browser: https://salsa.debian.org/ci-team/autopkgtest

Package: autopkgtest
Architecture: all
Depends:
 apt-utils,
 libdpkg-perl,
 mawk (>= 1.3.4),
 procps,
 python3,
 python3-debian,
 retry,
 ${misc:Depends},
Recommends:
 autodep8,
 fakeroot,
Suggests:
 docker-cli | docker.io (<< 26.1.4+dfsg1-7~),
 docker.io,
 fakemachine,
 genisoimage,
 incus,
 lxc (>= 1:4.0.2-1~),
 lxd,
 ovmf,
 ovmf-ia32,
 podman,
 python3-distro-info,
 qemu-efi-aarch64,
 qemu-efi-arm,
 qemu-efi-riscv64,
 qemu-system,
 qemu-utils,
 schroot,
 util-linux (>= 2.38),
 vmdb2 (>= 0.25-1~),
 zerofree,
Breaks:
 debci (<< 1.7~),
Description: automatic as-installed testing for Debian packages
 autopkgtest runs tests on binary packages.  The tests are run on the
 package as installed on a testbed system (which may be found via a
 virtualisation or containment system).  The tests are expected to be
 supplied in the corresponding Debian source package.
 .
 See autopkgtest(1) and /usr/share/doc/autopkgtest.
 Depending on which virtualization server you want to use, you need to
 install additional packages (schroot, lxc, lxd, or qemu-system)
 .
 For generating tests of well-known source packages such as Perl and Ruby
 libraries you should install the autodep8 package.

=== debian/tests/control ===
Tests:
 autopkgtest,
Depends:
 autodep8,
 autopkgtest,
 build-essential,
 debhelper (>= 13),
 devscripts,
 fakeroot,
 python3-cap-ng,
Restrictions:
 needs-sudo,

Tests:
 installed,
Depends:
 autopkgtest,
 devscripts,
 python3-cap-ng,

Tests:
 docker,
Depends:
 autodep8,
 autopkgtest,
 build-essential,
 ca-certificates,
 debhelper (>= 13),
 debootstrap,
 devscripts,
 distro-info,
 docker-cli | docker.io (<< 26.1.4+dfsg1-7~),
 docker.io,
 python3-cap-ng,
 python3-distro-info,
 uidmap,
# breaks-testbed is not strictly true, but declaring breaks-testbed
# forces a new testbed to be used, which reduces the chance of running
# out of disk space
Restrictions:
 allow-stderr,
 breaks-testbed,
 isolation-machine,
 needs-internet,
 needs-root,
 skippable,

Tests:
 lxc,
 lxc-old-testbed,
Depends:
 autodep8,
 autopkgtest,
 build-essential,
 ca-certificates,
 debhelper (>= 13),
 debootstrap,
 devscripts,
 distro-info,
 fakeroot,
 iproute2,
 libpam-cgfs,
 lxc,
 lxc-templates,
 lxcfs,
 python3-cap-ng,
 rsync,
 uidmap,
Restrictions:
 allow-stderr,
 breaks-testbed,
 isolation-machine,
 needs-internet,
 needs-sudo,
 skippable,

# TODO: Run this with needs-sudo instead of needs-root to check that
# virt-lxd --sudo hasn't regressed?
Tests:
 lxd,
Architecture: amd64 arm64
Depends:
 adduser,
 autodep8,
 autopkgtest,
 build-essential,
 debhelper (>= 13),
 devscripts,
 distro-info,
 dnsmasq-base | dnsmasq,
 fakeroot,
 iptables,
 lxd (>= 5.0.2+git20231211.1364ae4-5) | lxd-installer,
 python3-cap-ng,
Restrictions:
 allow-stderr,
 breaks-testbed,
 isolation-machine,
 needs-internet,
 needs-root,
 skip-not-installable,
 skippable,

Tests:
 podman,
 podman-init,
Depends:
 autodep8,
 autopkgtest,
 build-essential,
 buildah,
 ca-certificates,
 catatonit | tini | dumb-init,
 debhelper (>= 13),
 debootstrap,
 devscripts,
 distro-info,
 fakeroot,
 golang-github-containernetworking-plugin-dnsname,
 passt | podman (<< 4.6~),
 podman,
 python3-cap-ng,
 python3-distro-info,
 slirp4netns,
 uidmap,
# breaks-testbed is not strictly true, but declaring breaks-testbed
# forces a new testbed to be used, which reduces the chance of running
# out of disk space
# Marked flaky because of bug 1059725
Restrictions:
 allow-stderr,
 breaks-testbed,
 flaky,
 isolation-machine,
 needs-internet,
 skippable,

# breaks-testbed is not strictly true, but we do make a change to
# /etc/hosts without reverting it. Declaring breaks-testbed also forces a
# new testbed to be used, as above
Tests:
 schroot,
Depends:
 autodep8,
 autopkgtest,
 build-essential,
 debhelper (>= 13),
 debootstrap,
 devscripts,
 fakeroot,
 python3-cap-ng,
 sbuild,
 schroot,
Restrictions:
 allow-stderr,
 breaks-testbed,
 needs-internet,
 needs-root,
 skippable,

# breaks-testbed is not strictly true, but declaring breaks-testbed
# forces a new testbed to be used
Tests:
 unshare,
Depends:
 autodep8,
 autopkgtest,
 build-essential,
 debhelper (>= 13),
 debian-archive-keyring,
 devscripts,
 mmdebstrap,
 python3-cap-ng,
 uidmap,

## autopkgtest 5.42

=== debian/changelog ===
autopkgtest (5.42) unstable; urgency=medium

  [ Stefano Rivera ]
  * Correct logic in old-systemd fallback code

  [ Paride Legovini ]
  * Handle multi-line --add-apt-sources (used by debci)
  * tests: add test for multi-line --add-apt-sources

 -- Paride Legovini <paride@debian.org>  Fri, 25 Oct 2024 10:04:32 +0200

autopkgtest (5.41) unstable; urgency=medium

  * If autopkgtest fails to detect the testbed release, exit with error only
    if there are command line arguments which actually require knowing the
    testbed release (namely: --add-apt-release, --apt-pocket).
  * Make the "get apt sources from testbed" code more solid. Changes:
    - Don't fail if there is no /etc/apt/sources.list
    - Don't fail if there are .list files, but none defines a "deb" source
    - Move the sources extraction code to standalone shell scripts
    Thanks to Florent 'Skia' Jacquet
  * tests: expand --add-apt-release / --apt-pocket tests, deb822 case

 -- Paride Legovini <paride@debian.org>  Wed, 23 Oct 2024 16:38:56 +0200

autopkgtest (5.40) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * lib/adt_binaries.py: run 'apt update' before 'apt install'

  [ Simon McVittie ]
  * build-qemu(1): Separate recommended and deprecated invocation
  * build-lxc, build-lxd: Convert command-line parsing to Python
  * build-lxc: Check presence of lxc-templates
  * build-docker: Label Docker/Podman images with some of their properties
  * virt-podman: Try to enable --init automatically if it would work
  * build-docker: Tag images for default architecture with/without prefix

  [ Paride Legovini ]
  * Implement support for adding PPAs via --add-apt-source=ppa:OWNER/PPA
  * Refactor and improve "get priority from apt policy" logic
  * Rework and simplify the package pinning logic
    - man: clarify documentation on how pinning works
  * Refactor handling of synthesized dependencies
  * Get the testbed release from the APT data sources
  * Always get the testbed release when setting up the testbed
  * Trust find_source_version_to_download even in presence of src: pins
  * Refactor how APT releases and pockets are added
    - Handle sources.list [ options ] when doing --add-apt-release
    - Update manpage after refactor of APT source addition
  * Refactor _run_apt_install() and rename to _run_apt_command()
    - Handle --apt-upgrade via _run_apt_command() (Closes: #1011204)
    - Update testbed package index (apt-get update) using _run_apt_command()
  * Revert "lxc: define /tmp mount via lxc-start"
  * build_source: do not generate debug symbol packages
  * build_source: do not build udeb packages
    - tests: test that nocheck, noudeb profiles are set at build time
  * tests: check if CAP_SYS_ADMIN is EFFECTIVE (Closes: #1079216)
  * tests: Archive: support specifying the release Codename
  * tests: Archive: add support for accessing dists via codename
  * tests: Archive: rename series to suite, require more explicit config
  * tests: test_apt_pocket_pkg_with_proposed_dep: use expect_success=True
  * tests: expand the pocket tests to cover --add-apt-release --pin-packages
  * tests: run the apt_pocket tests with NotAutomatic: yes in -proposed
  * tests: add test_debian_layout_* to test pinning on a Debian-like layout
  * tests: add new test: test_offline_success
  * tests: ChrootRunner: get testbed_apt_version from the chroot
  * tests: mockup-commands: bump version of mock apt command
  * d/control: move python3-distro-info from Suggests to Depends
  * pre-commit: add rst-* hooks from pygrep-hooks
  * CI: add Salsa CI pipeline recipe for Ubuntu

  [ Stefano Rivera ]
  * incus/lxd: Set a default value for PATH

  [ Guilhem Moulin ]
  * build-qemu: Turn off ‘orphan_file’ for older target suites
    (Closes: #1078760)

  [ Lee Garrett ]
  * Increase msize for 9p mount to 512KB (~30% read performance increase)

  [ Ural Tunaboyu ]
  * t/autopkgtest-buildvm-ubuntu-cloud: add check for required space
  * t/autopkgtest-buildvm-ubuntu-cloud: fix image url for some arches
    (LP: #2077552)
  * t/autopkgtest-buildvm-ubuntu-cloud: add image cache (LP: #2073938)
  * lib/autopkgtest_deps: add dependency for package
  * lib/autopkgtest_deps: add dependency for directory
  * t/autopkgtest-buildvm-ubuntu-cloud: add directory dependency on output_dir
  * tests/autopkgtest: make test_apt_source_arch_conflict pass on non-amd64
  * debian/tests: enable lxd tests for all arches for which there are images

  [ Blair Noctis ]
  * lib/testdec: use lists in dep set manipulation (Closes: #1080981)
  * tests/testdesc: test recommends from multiple packages

  [ Kai Oberbeckmann ]
  * qemu: Fix boot of UEFI-only virtual machines (Closes: #1081374)

  [ Christian Kastner ]
  * reboot-required: Also monitor /boot/{grub,efi}

  [ Paul Gevers ]
  * VirSubproc.py: prevent UnboundLocalError on timeout

  [ Antonio Terceiro ]
  * autopkgtest-build-lxc: avoid lxc-attach messing with file permissions

 -- Paride Legovini <paride@debian.org>  Mon, 21 Oct 2024 12:09:29 +0200

=== debian/control ===
--- 
+++ 
@@ -33,6 +33,7 @@
  procps,
  python3,
  python3-debian,
+ python3-distro-info,
  retry,
  ${misc:Depends},
 Recommends:
@@ -49,7 +50,6 @@
  ovmf,
  ovmf-ia32,
  podman,
- python3-distro-info,
  qemu-efi-aarch64,
  qemu-efi-arm,
  qemu-efi-riscv64,

=== debian/tests/control ===
--- 
+++ 
@@ -78,7 +78,6 @@
 # virt-lxd --sudo hasn't regressed?
 Tests:
  lxd,
-Architecture: amd64 arm64
 Depends:
  adduser,
  autodep8,
@@ -172,3 +171,5 @@
  mmdebstrap,
  python3-cap-ng,
  uidmap,
+ util-linux (>= 2.38),
+Restrictions:

## autopkgtest 5.42ubuntu2

=== debian/changelog ===
autopkgtest (5.42ubuntu2) plucky; urgency=medium

  * tests/testdesc: replace "c64" and "vax" with archs that actually exist

 -- Paride Legovini <paride@ubuntu.com>  Fri, 22 Nov 2024 15:37:37 +0100

autopkgtest (5.42ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add support for foreign architecture testing
    New delta (upstream cherry-picks):
    - tests: make testpkg an Architecture: any package
    - Use python-debian architecture_is_concerned() to do arch matching
    - setup-testbed: ensure /tmp is deleted on reboot

 -- Paride Legovini <paride@ubuntu.com>  Fri, 22 Nov 2024 14:50:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: autopkgtest
-Maintainer: Debian CI team <team+ci@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian CI team <team+ci@tracker.debian.org>
 Uploaders:
  Ian Jackson <ijackson@chiark.greenend.org.uk>,
  Martin Pitt <mpitt@debian.org>,

## autopkgtest 5.43~bpo12+1

=== debian/changelog ===
autopkgtest (5.43~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Paul Gevers <elbrus@debian.org>  Tue, 04 Feb 2025 21:33:14 +0100

autopkgtest (5.43) unstable; urgency=medium

  [ Steve Langasek, Paride Legovini ]
  * Add support for foreign-architecture testing.
    A typical use-case for this is testing an i386 package in an amd64
    container.

  [ Paride Legovini ]
  * Use python3-debian to do more correct architecture matching, with a
    perl fallback used if python3-debian is too old (Closes: #1086538)
  * Make pins cover any architecture for better multi-arch support
    (Closes: #1088971)
  * Add sources specified via --add-apt-source after configuring pockets.
    This way autopkgtest does not add pockets to PPAs, which is not
    desired. (LP: #2091393)
  * Support adding apt sources from file (--add-apt-source=FILENAME)
    (Closes: #1089736)
  * Fix parsing of `apt-cache policy` output if it has phasing info
  * build-lxd: bump boot timeout from 1 minute to 5 minutes, which is
    helpful on armhf
  * d/t/control: re-sort with wrap-and-sort from devscripts 2.24.8.
    wrap-and-sort from devscripts 2.24.8 changes the sorting algorithm
    for packages, see #1049943. Update d/t/control accordingly.
  * binaries: reinstall binaries using _run_apt_command().
    This reduces duplication, and ensures that
    DEBIAN_FRONTEND=noninteractive is set. (Closes: #1092621)

  [ Simon McVittie ]
  * qemu: Prefer to use /etc/localtime to copy host time zone into VMs
    (Closes: #1038835)
  * build-docker: Add a default command (bash) for images with --init=none,
    for convenient interactive reuse
  * tests: Remove some problematic environment variables.
    In particular, when autopkgtest itself (an Architecture: all package)
    is built, we must not allow internal variables set by debhelper to
    propagate into the Architecture: any packages that are built and
    tested by autopkgtest's test suite, because that will make them fail
    to build.

  [ Florent 'Skia' Jacquet ]
  * Only use deb822 apt sources if apt is 2.3.10 or later (Debian 12,
    Ubuntu 22.04), fixing a regression for --add-apt-source=ppa on
    Ubuntu 20.04 'focal'
  * ssh-setup/nova: improve logging for easier use of grep

  [ Colin Watson ]
  * Install passwd for needs-sudo

  [ Ural Tunaboyu ]
  * d/t/schroot: run schroot tests in Ubuntu chroots if the host is Ubuntu
  * setup-testbed: ensure /tmp is deleted on reboot, matching the behaviour
    we would see with a tmpfs

  [ Jochen Sprickerhof ]
  * unshare: run a configurable bootstrap command, defaulting to
    mmdebstrap, if no suitable chroot was found

  [ Tim Andersson ]
  * ssh-setup/nova: Improve robustness of cleanup

  [ Helmut Grohne ]
  * setup-testbed: Don't treat an empty /etc/network/interfaces as
    implying that systemd-networkd and ifupdown are not in use
  * setup-testbed: If systemd-networkd is enabled, do not configure
    ifupdown. No further configuration is needed if host0 networking is
    configured via /usr/lib/systemd/network/80-container-host0.network.
    (Closes: #1090884)

  [ Paul Gevers, Simon McVittie ]
  * tests: adapt for change in dpkg regarding Rules-Requires-Root.
    With the latest changes in dpkg, debhelper will no longer call the
    'build' target if it doesn't need it. Hence the checks in several
    of our tests need to be updated to check that 'binary' is called.
    (Closes: #1092086, #1092398)

  [ Julian Gilbey, Simon McVittie ]
  * README.package-tests.rst: Clarify the interactions between Testsuite,
    dpkg and autodep8 (Closes: #1016008)

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Jan 2025 09:07:55 +0000

## autopkgtest 5.44~bpo12+1

=== debian/changelog ===
autopkgtest (5.44~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Paul Gevers <elbrus@debian.org>  Wed, 19 Feb 2025 07:24:12 +0100

autopkgtest (5.44) unstable; urgency=medium

  [ Simon McVittie ]
  * tests: Normally only test timeouts on known-fast architectures.
    We cannot make these test-cases reliable on slower machines like riscv64
    without making the test suite take a long time even on faster machines.
    (Closes: #1093275)
  * virt-podman: Don't crash if the selected image has no labels
    (Closes: #1093546)
  * virt-podman(1): Mention how to generate images locally
  * build-podman(1): Consistently use podman in examples
  * virt-podman(1): Document that full systemd functionality needs
    CAP_SYS_ADMIN, how to obtain it, and the security considerations that
    mean it is not the default (Closes: #1078205)
  * d/control: Remove obsolete alternative dependency on pep8
    (Closes: #1093161)
  * d/README.source: Mention some apt features that we cannot use yet
  * build-docker(1): Clarify the relationship between --tarball and --image.
    In particular clarify the circumstances under which a base image
    for use inside the container environment will be downloaded from a
    third-party container registry.

  [ Paride Legovini ]
  * Turn test dependencies from package under test into strictly versioned
    dependencies (Closes: #1052119)
  * d/t/schroot: use eatmydata in the test schroot to speed up testing
  * autopkgtest(1): clarify usage of virt servers, suggest qemu
  * virt-schroot(1): add warning regarding lack of isolation

  [ Ural Tunaboyu ]
  * buildvm-ubuntu-cloud: Don't exclude documentation

  [ Jochen Sprickerhof ]
  * Add test dependency on apt to make it reproducible
  * virt-unshare: Keep apt lists when bootstrapping

  [ Florent 'Skia' Jacquet ]
  * buildvm-ubuntu-cloud: Use server image for riscv64 testbeds, since
    no minimal image is available

  [ Ian Jackson ]
  * virt-*: Exit with an error if stdin is in non-blocking mode
  * virt-*: Exit on EOF (Closes: #1094634)
  * virt-*: Warn on (invalid) leading whitespace in the
    virtualization protocol
  * virt-*: Reject empty commands

 -- Simon McVittie <smcv@debian.org>  Wed, 12 Feb 2025 14:47:41 +0000

## autopkgtest 5.46~bpo12+1

=== debian/changelog ===
autopkgtest (5.46~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Paride Legovini <paride@debian.org>  Thu, 06 Mar 2025 17:23:58 +0100

autopkgtest (5.46) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * setup-testbed: exclude sid from security (Closes: #1099053)

 -- Paride Legovini <paride@debian.org>  Thu, 27 Feb 2025 18:46:41 +0100

autopkgtest (5.45) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * unshare: support repeated open and close commands (Closes: #1094633)
  * unshare: error out if neither --release nor a chroot is provided
    (Closes: #1096123)

  [ Antonio Terceiro ]
  * setup-testbed: consistently apply eatmydata to all apt operations

  [ Paride Legovini ]
  * Don't pin package under test if required capabilities are missing
    (Closes: #1095979)
  * setup-testbed: fix shell redirect so that it points to the chroot
  * setup-testbed: fix out-of-chroot bug in deb822 detection
  * setup-testbed: fix typo: /etc/network/interface -> interfaces
  * adt_binaries: silence stderr from `apt-get indextargets`, fixing
    publication of built binaries on Debian Jessie and Ubuntu Trusty LTS
  * setup-testbed: fix recovery of backed-up resolv.conf

  [ Simon McVittie ]
  * runner: If we installed packages to unpack source, revert the testbed
    before starting to run tests (Closes: #1098646)
  * docker: Document minimal content for the image/tarball

  [ Paride Legovini ]
  * Do not turn test deps from package under test into versioned deps.
    This reverts the change mentioned to fix #1052119 in version 5.44.

  [ Jochen Sprickerhof ]
  * setup-testbed: Add debian-security for Debian releases
    (Closes: #1071185, #1055370)

 -- Paride Legovini <paride@debian.org>  Wed, 26 Feb 2025 17:43:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: autopkgtest
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian CI team <team+ci@tracker.debian.org>
+Maintainer: Debian CI team <team+ci@tracker.debian.org>
 Uploaders:
  Ian Jackson <ijackson@chiark.greenend.org.uk>,
  Martin Pitt <mpitt@debian.org>,
@@ -13,9 +12,10 @@
 Standards-Version: 4.7.0
 Build-Depends:
  debhelper-compat (= 13),
+ apt <!nocheck>,
  fakeroot <!nocheck>,
  procps <!nocheck>,
- pycodestyle | pep8 <!nocheck>,
+ pycodestyle <!nocheck>,
  pyflakes3 <!nocheck>,
  python3 (>= 3.8),
  python3-cap-ng <!nocheck>,
@@ -69,8 +69,8 @@
  supplied in the corresponding Debian source package.
  .
  See autopkgtest(1) and /usr/share/doc/autopkgtest.
- Depending on which virtualization server you want to use, you need to
- install additional packages (schroot, lxc, lxd, or qemu-system)
+ Depending on which virtualization server you want to use, you may need to
+ install additional packages.
  .
  For generating tests of well-known source packages such as Perl and Ruby
  libraries you should install the autodep8 package.

## autopkgtest 5.47~22.04.1

=== debian/changelog ===
autopkgtest (5.47~22.04.1) jammy; urgency=medium

  * Backport from Plucky (LP: #2106167): Changes:
    - Makefile: install arch-is-concerned.pl
      (clean upstream cherry-pick, 7c5bccd)

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Tue, 01 Apr 2025 09:48:40 -0700

autopkgtest (5.47) unstable; urgency=medium

  [ Ian Jackson ]
  * README.virtualisation-server: Fix and document a URL decoding rune
  * autopkgtest-virt-null: New --retain-tmp option (Closes: #1092771)

  [ Sean Whitton ]
  * build-podman: Accept additional arguments for 'podman build'
  * build-podman: Fix accepting additional arguments on bookworm
  * build-docker, build-docker(1): Update docs to match argparse reality

  [ Jochen Sprickerhof ]
  * unshare: support UNRELEASED as release name (Closes: #1099126)
  * unshare: call mmdebstrap with --mode=unshare (Closes: #1099578)

  [ Arnaud Rebillout ]
  * Fix setup-testbed for Kali Linux

 -- Paride Legovini <paride@debian.org>  Tue, 11 Mar 2025 13:09:57 +0100

=== debian/control ===
--- 
+++ 
@@ -48,6 +48,7 @@
  incus,
  lxc (>= 1:4.0.2-1~),
  lxd,
+ mmdebstrap,
  ovmf,
  ovmf-ia32,
  podman,
@@ -57,6 +58,7 @@
  qemu-system,
  qemu-utils,
  schroot,
+ uidmap,
  util-linux (>= 2.38),
  vmdb2 (>= 0.25-1~),
  zerofree,

=== debian/tests/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Tests:
  autopkgtest,
 Depends:
+ debhelper (>= 13),
  autodep8,
  autopkgtest,
  build-essential,
- debhelper (>= 13),
  devscripts,
  fakeroot,
  python3-cap-ng,
@@ -21,11 +21,11 @@
 Tests:
  docker,
 Depends:
+ debhelper (>= 13),
  autodep8,
  autopkgtest,
  build-essential,
  ca-certificates,
- debhelper (>= 13),
  debootstrap,
  devscripts,
  distro-info,
@@ -49,11 +49,11 @@
  lxc,
  lxc-old-testbed,
 Depends:
+ debhelper (>= 13),
  autodep8,
  autopkgtest,
  build-essential,
  ca-certificates,
- debhelper (>= 13),
  debootstrap,
  devscripts,
  distro-info,
@@ -79,11 +79,11 @@
 Tests:
  lxd,
 Depends:
+ debhelper (>= 13),
  adduser,
  autodep8,
  autopkgtest,
  build-essential,
- debhelper (>= 13),
  devscripts,
  distro-info,
  dnsmasq-base | dnsmasq,
@@ -104,13 +104,13 @@
  podman,
  podman-init,
 Depends:
+ debhelper (>= 13),
  autodep8,
  autopkgtest,
  build-essential,
  buildah,
  ca-certificates,
  catatonit | tini | dumb-init,
- debhelper (>= 13),
  debootstrap,
  devscripts,
  distro-info,
@@ -140,10 +140,10 @@
 Tests:
  schroot,
 Depends:
+ debhelper (>= 13),
  autodep8,
  autopkgtest,
  build-essential,
- debhelper (>= 13),
  debootstrap,
  devscripts,
  fakeroot,
@@ -162,10 +162,10 @@
 Tests:
  unshare,
 Depends:
+ debhelper (>= 13),
  autodep8,
  autopkgtest,
  build-essential,
- debhelper (>= 13),
  debian-archive-keyring,
  devscripts,
  mmdebstrap,

## autopkgtest 5.47~24.04.1

=== debian/changelog ===
autopkgtest (5.47~24.04.1) noble; urgency=medium

  * No-change backport from Plucky (LP: #2106167)

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Thu, 03 Apr 2025 08:53:19 -0700

## autopkgtest 5.47~24.10.1

=== debian/changelog ===
autopkgtest (5.47~24.10.1) oracular; urgency=medium

  * No-change backport from Plucky (LP: #2106167)

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Thu, 10 Apr 2025 09:58:21 -0700

## autopkgtest 5.47~bpo12+1

=== debian/changelog ===
autopkgtest (5.47~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 18 Mar 2025 18:53:59 +0800

## autopkgtest 5.47

=== Makefile ===
--- 
+++ 
@@ -95,6 +95,7 @@
 	$(INSTALL_DATA) $(pythonfiles) $(pythondir)
 	$(INSTALL_DATA) CREDITS $(docdir)
 	$(INSTALL_DATA) $(rstfiles) $(htmlfiles) $(docdir)
+	$(INSTALL_PROG) lib/*.sh $(datadir)/lib/
 	$(INSTALL_PROG) lib/in-testbed/*.sh $(datadir)/lib/in-testbed/
 	$(INSTALL_PROG) lib/parse-deps.pl $(datadir)/lib/
 	$(INSTALL_PROG) lib/unshare-helper $(datadir)/lib/

=== tests/testpkg/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_missing:
	: # do nothing

override_dh_builddeb:
	# Newer Ubuntu systems default to zstd when building packages.
	# For compatibility with older testbeds (Trusty), we need to
	# explicitly request a different compression method.
	dh_builddeb -- -Zgzip

## autopkgtest 5.49~bpo12+1

=== debian/changelog ===
autopkgtest (5.49~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Paul Gevers <elbrus@debian.org>  Thu, 15 Jan 2026 12:41:05 +0100

autopkgtest (5.49) unstable; urgency=medium

  * NEWS.Debian: Document the security fixes in 5.48.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 16 Apr 2025 19:41:19 +0100

autopkgtest (5.48) unstable; urgency=medium

  [ Ural Tunaboyu ]
  * Makefile: install arch-is-concerned.pl.  Fixes testing on very
    old distros with very old python3-debian.

  [ Ian Jackson ]
  * SECURITY: autopkgtest-virt-*: Don't make downtmp dangerously world-writeable
  * SECURITY: Fix mode (permissions) of AUTOPKGTEST_ARTIFACTS
  * SECURITY: autopkgtest-virt-null: Do not advertise isolation-machine
  * SECURITY: Fix autopkgtest-virt-unshare to not advertise downtmp-host
  * SECURITY: Only chmod copied-down things world-writeable with --insecure
  * autopkgtest-virt-null: Add --fake-capabilities option
  * Clarify that mangling config in $HOME is breaks-testbed
  * No suggested-normal-user without root-on-testbed
  * If necessary, chown the scratchspace to the normal user
  * Introduce autopkgtest --insecure option
  * d/t/control: Declare isolation-container for tests/autopkgtest
  * Centralise downtmp and capabilities
  * autopkgtest-virt-qemu: Move the base caps list to a global
  * Make downtmp-host= cap filtering more careful

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 14 Apr 2025 00:31:53 +0100

## autopkgtest 5.50

=== debian/changelog ===
autopkgtest (5.50) unstable; urgency=medium

  [ Paride Legovini ]
  * nova: fix failure to delete server detection logic
  * copyupdown: use subprocess.DEVNULL instead of open('/dev/null')
  * execute_timeout(): automatically pipe to stdin when instr is passed
  * check_exec(): support feeding string to stdin of executed command
  * wait_booted(): pass the await-boot script to stdin of sh -s
  * await-boot: do not systemctl start network-online.target
  * setup-testbed: restrict search of main network iface to Ethernet devices
  * autopkgtest-virt-ssh: wait for boot to complete
  * wait_booted: add "boot completed" debugging printout
  * await-boot: if cloud-init is installed, wait for it to complete
  * Clarify debug messages about communication with the virt server
  * a-v-ssh: print setup command stderr in real time
  * nova: drop duplicate "wait for ssh" and "wait for cloud-init" logic
  * a-v-ssh wait_for_ssh: demote "ssh connection failed" to a debug message
  * a-virt-ssh: reimplement hook_wait_reboot around the system boot_id
  * Fix object queried for the "insecure" attribute
  * Ignore duplicate commas when splitting dependency strings
  * setup-testbed: mark some packages as manually installed
  * setup-testbed: remove ubuntu-pro-client as part of the image cleanup
  * test_timeout_no_output: make test work with non-GNU coreutils (LP: 2117709)
  * a-b-ubuntu-cloud: do not install ubuntu-minimal
  * setup-testbed: mark iproute2 as manually installed
  * Fix not-is-test pycodestyle error spotted by ruff (E714)
  * a-b-ubuntu-cloud: replace syntax that requires a too new Python version
  * Fix Launchpad username validation in PPA sources (LP: #2119533)
  * Apply ruff formatting

  [ Helmut Grohne ]
  * incus: clear /etc/machine-id in base image
  * setup-testbed: improve systemd-networkd detection

  [ Simon Chopin ]
  * buildvm-ubuntu-cloud: make it easy to add packages to the image

  [ Antonio Terceiro ]
  * setup-testbed: only run update-initramfs if it exists

  [ Simon McVittie ]
  * build-qemu: Don't require qemu-i386-static to build i386 VM on amd64
  * setup-testbed: Use archive.debian.org for archived buster security updates
  * build-docker: Default to archive.debian.org for EOL releases
    (Closes: #1083163)
  * build-docker: Use old-releases.ubuntu.com for EOL Ubuntu releases
  * build-qemu: Use archive.debian.org for EOL Debian releases

  [ Luca Boccassi ]
  * Use 'systemctl reboot' instead of 'reboot' with systemd

 -- Paul Gevers <elbrus@debian.org>  Mon, 25 Aug 2025 20:30:12 +0200

## autopkgtest 5.51

=== Makefile ===
--- 
+++ 
@@ -97,6 +97,7 @@
 	$(INSTALL_DATA) $(rstfiles) $(htmlfiles) $(docdir)
 	$(INSTALL_PROG) lib/*.sh $(datadir)/lib/
 	$(INSTALL_PROG) lib/in-testbed/*.sh $(datadir)/lib/in-testbed/
+	$(INSTALL_PROG) lib/arch-is-concerned.pl $(datadir)/lib/
 	$(INSTALL_PROG) lib/parse-deps.pl $(datadir)/lib/
 	$(INSTALL_PROG) lib/unshare-helper $(datadir)/lib/
 	$(INSTALL_PROG) setup-commands/*[!~] $(datadir)/setup-commands

=== debian/changelog ===
autopkgtest (5.51) unstable; urgency=medium

  [ Paride Legovini ]
  * Assume the base testbed release to be the one providing base-files
    Related changes:
    - Update APT index individually for newly added sources
    - t/mockup-commands: implement fake apt-cache policy
    - d/autopkgtest: adapt tests to new release detection logic
    - get-release: drop script, superseded by new release detection logic
    - autopkgtest(1) update documentation on how the testbed release is detected
  * build-qemu/docker: don't use archive.ubuntu.com for LTS releases
  * Run ps(1) on leaked processed only if ps(1) is available.
    Thanks to Ferenc Wágner (Closes: #1112625)
  * a-b-lxd: honor the lxd remote when cleaning up old images
  * CI:
    - Run Ubuntu Salsa CI on Questing (current devel release)
    - Salsa CI: disable the autopkgtest i386 job
    - Bump timeout for the lxc jobs

  [ Jochen Sprickerhof ]
  * unshare: cleanup temporary tarball at exit

  [ Helmut Grohne ]
  * Testbed: fix apt pinning for old apt releases

 -- Paride Legovini <paride@debian.org>  Mon, 08 Sep 2025 15:49:09 +0200

=== tests/testpkg/debian/changelog ===
testpkg (1) UNRELEASED; urgency=low

  * Initial release.

 -- Martin Pitt <mpitt@debian.org>  Fri, 20 Sep 2013 18:05:01 -0500

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,6 @@
  apt <!nocheck>,
  fakeroot <!nocheck>,
  procps <!nocheck>,
- pycodestyle <!nocheck>,
- pyflakes3 <!nocheck>,
  python3 (>= 3.8),
  python3-cap-ng <!nocheck>,
  python3-debian <!nocheck>,

=== debian/rules ===
#!/usr/bin/make -f
#
# This file is part of autopkgtest
# autopkgtest is a tool for testing Debian binary packages
#
# autopkgtest is Copyright (C) 2006 Canonical Ltd.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# See the file CREDITS for a full list of credits information (often
# installed as /usr/share/doc/autopkgtest/CREDITS).

include /usr/share/dpkg/pkg-info.mk

%:
	dh "$@"

override_dh_auto_install:
	dh_auto_install

	# put our package version into the code for logging
	sed -i 's/@version@/$(DEB_VERSION)/' debian/autopkgtest/usr/share/autopkgtest/lib/adt_testbed.py

override_dh_auto_test:
ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	tests/mypy || true
	tests/qemu
	tests/testdesc
	tests/autopkgtest_args
	env NO_PKG_MANGLE=1 tests/autopkgtest NullRunner
endif

=== debian/tests/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  fakeroot,
  python3-cap-ng,
 Restrictions:
+ isolation-container,
  needs-sudo,
 
 Tests:
@@ -171,5 +172,3 @@
  mmdebstrap,
  python3-cap-ng,
  uidmap,
- util-linux (>= 2.38),
-Restrictions:

=== tests/testpkg-reboot/debian/tests/control ===
Tests: p
Depends:
Restrictions: needs-root

=== tests/testpkg/debian/control ===
Source: testpkg
Maintainer: Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>, Üñïcøδ€ <unicode@example.com>
Section: oldlibs
Priority: optional
Standards-Version: 4.0.1
Build-Depends: debhelper (>= 9)

Package: testpkg
Architecture: any
Depends: ${misc:Depends}
Recommends: apt-doc
Description: test package
 Test package, do not install.

## autopkgtest 5.51+git20250918.530ae912

=== debian/changelog ===
autopkgtest (5.51+git20250918.530ae912) unstable; urgency=medium

  * Build git snapshot for apt.ai.debian.net, needed for CI

  [ Paride Legovini ]
  * Fix Launchpad owner validation in PPA sources.
    Turns out 5d11a5e35dfc54682897810451d2c399b0195311 was incomplete.
    Thanks to Marco Trevisan (3v1n0)

  [ Christian Kastner ]
  * qemu: Implement arbitrary host directory sharing.
    With large files, this should avoid needless writes that a --copy would
    otherwise entail.
    The host directory will be passed through in readonly mode by default,
    but this can be changed with the :rw modifier.

  [ Paul Gevers ]
  * tests: drop have_apt code fragment unused since commit 6ac81a0.
    Found while investigating bug 833503

 -- Christian Kastner <ckk@debian.org>  Fri, 26 Sep 2025 17:05:47 +0200

## autopkgtest 5.52

=== debian/changelog ===
autopkgtest (5.52) unstable; urgency=medium

  [ Paride Legovini ]
  * Fix Launchpad owner validation in PPA sources.
    Thanks to Marco Trevisan (3v1n0)
  * d/t/control unshare: add missing distro-info test dependency.
    Thanks to Athos Ribeiro (LP: #2126690)
  * build-lxd: pass setup-script, await-boot via pipe instead of redirect
  * setup-testbed: add motd-news-config to the list of packages to purge
  * pre-commit: bump ruff-pre-commit pinned version, no changes needed

  [ Antonio Terceiro ]
  * Document how to work on tests without needing to rebuild (Closes: #1000802)

  [ Christian Kastner ]
  * qemu: Implement arbitrary host directory sharing

  [ Paul Gevers ]
  * tests: drop have_apt code fragment unused since commit 6ac81a0
  * doc: explain how one can run with sysvinit in a VM (Closes: #844123)
  * doc: mark skip-not-installable as deprecated

  [ Frode Nordahl ]
  * setup-testbed: Ensure lxd-agent-loader is retained when present in image
    (LP: #2127063).

  [ Simon McVittie ]
  * d/control, d/tests/control: Depend on bsdutils when running tests
    (Closes: #1118417)

  [ Jochen Sprickerhof ]
  * unshare: add --mirror option

 -- Paride Legovini <paride@debian.org>  Sun, 16 Nov 2025 23:04:59 +0100

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  apt <!nocheck>,
+ bsdutils <!nocheck>,
  fakeroot <!nocheck>,
  procps <!nocheck>,
  python3 (>= 3.8),

=== debian/tests/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
  debhelper (>= 13),
  autodep8,
  autopkgtest,
+ bsdutils,
  build-essential,
  devscripts,
  fakeroot,
@@ -25,6 +26,7 @@
  debhelper (>= 13),
  autodep8,
  autopkgtest,
+ bsdutils,
  build-essential,
  ca-certificates,
  debootstrap,
@@ -53,6 +55,7 @@
  debhelper (>= 13),
  autodep8,
  autopkgtest,
+ bsdutils,
  build-essential,
  ca-certificates,
  debootstrap,
@@ -84,6 +87,7 @@
  adduser,
  autodep8,
  autopkgtest,
+ bsdutils,
  build-essential,
  devscripts,
  distro-info,
@@ -108,6 +112,7 @@
  debhelper (>= 13),
  autodep8,
  autopkgtest,
+ bsdutils,
  build-essential,
  buildah,
  ca-certificates,
@@ -144,6 +149,7 @@
  debhelper (>= 13),
  autodep8,
  autopkgtest,
+ bsdutils,
  build-essential,
  debootstrap,
  devscripts,
@@ -166,9 +172,5 @@
  debhelper (>= 13),
  autodep8,
  autopkgtest,
+ bsdutils,
  build-essential,
- debian-archive-keyring,
- devscripts,
- mmdebstrap,
- python3-cap-ng,
- uidmap,

## autopkgtest 5.53~bpo13+1

=== debian/changelog ===
autopkgtest (5.53~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Paul Gevers <elbrus@debian.org>  Thu, 15 Jan 2026 12:50:26 +0100

autopkgtest (5.53) unstable; urgency=medium

  [ Ural Tunaboyu ]
  * adt_testbed: always attempt to detect release

  [ Paride Legovini ]
  * Save artifacts in a per-test directory (Closes: #903696)
  * tests: fix mock apt-cache in test_apt_source_single_line_package_list
  * tests: move test_tree_build_needed_success under DebTestsVirtFS
  * a-virt-lxd: replace --vm with detection of the image type
  * a-buildvm-ubuntu-cloud: do not add a foreign architecture
  * runner/autopkgtest: drop unnecessary testbed reset/cleanup
  * setup-testbed: include wireless interfaces in search for default iface
  * d/control: bump Standards-Version to 4.7.0, no changes needed
  * d/control: drop redundant Rules-Requires-Root: no

  [ Johannes Schauer Marin Rodrigues ]
  * virt/autopkgtest-virt-unshare: ignore /etc/skel from outside the chroot
    when creating user's home directories inside the chroot with --prefix

  [ Chad Smith ]
  * fix(setup-testbed): avoid deprecated cloud-config apt_preserve_sources_list

 -- Paride Legovini <paride@debian.org>  Thu, 11 Dec 2025 16:17:37 +0100

## autopkgtest 5.53+rocm1

=== debian/changelog ===
autopkgtest (5.53+rocm1) unstable; urgency=medium

  * Rebase our fork onto the current upstream 5.53 release.

  * Introduce timeout for lack of forward progress.

 -- Christian Kastner <ckk@debian.org>  Thu, 18 Dec 2025 21:29:59 +0100

## autopkgtest 5.53+rocm2

=== debian/changelog ===
autopkgtest (5.53+rocm2) unstable; urgency=medium

  * test-noprogress: Use binary I/O methods.
    We're reading binary, and we need to write binary back, apparently. In
    our CI, we've seen tmpfails with glibc and rocthrust.

 -- Christian Kastner <ckk@debian.org>  Sun, 21 Dec 2025 13:28:11 +0100

## autopkgtest 5.53+rocm3

=== debian/changelog ===
autopkgtest (5.53+rocm3) unstable; urgency=medium

  * runner: Add support for skipping tests by class

 -- Christian Kastner <ckk@debian.org>  Mon, 29 Dec 2025 16:59:28 +0100

## autopkgtest 5.54

=== debian/changelog ===
autopkgtest (5.54) unstable; urgency=medium

  [ Paride Legovini ]
  * Drop support for three dashes (---) as the virt-server separator
  * a-virt-lxd: refer to VMs/containers as "instances"

  [ Colin Watson ]
  * Call Incus instances autopkgtest-incus-*, not autopkgtest-lxd-*

  [ Florent 'Skia' Jacquet ]
  * adt_testbed: give some time to `apt` for acquiring the dpkg lock

  [ Christian Kastner ]
  * Set umask during mktemp call (Closes: #1107254)
  * qemu: Also remount user shared dirs after reboot

  [ Valentin Haudiquet ]
  * Set QEMU baseline profile for RISC-V to RVA23 (LP: #2137720)
  * Fix deprecated qemu-user-static usage

 -- Paride Legovini <paride@debian.org>  Fri, 23 Jan 2026 17:32:40 +0100

## autopkgtest 5.55

=== debian/changelog ===
autopkgtest (5.55) unstable; urgency=medium

  [ Paride Legovini ]
  * a-virt-lxd: use the kernel boot_id to detect when a reboot happened
  * a-buildvm-ubuntu-cloud: fix URL generation
  * tests: run test_git_source_build using a trivial ad-hoc package

  [ Christian Kastner ]
  * build-docker: Fix supported architecture check
  * build-docker: Adapt to use docker multi-platform images (Closes: #1125712)
  * build-docker: Drop mips64el as a supported architecture
  * autopkgtest-build-podman: Fix APT proxy autodiscovery

  [ Simon McVittie ]
  * tests: Don't list more than one Maintainer (Closes: #1126318)
  * d/README.source: Update minimum host dependency versions

 -- Paride Legovini <paride@debian.org>  Sat, 31 Jan 2026 21:47:40 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  Paride Legovini <paride@debian.org>,
 Section: devel
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends:
  debhelper-compat (= 13),
  apt <!nocheck>,
@@ -20,7 +20,6 @@
  python3-cap-ng <!nocheck>,
  python3-debian <!nocheck>,
  python3-docutils,
-Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ci-team/autopkgtest.git
 Vcs-Browser: https://salsa.debian.org/ci-team/autopkgtest

=== tests/testpkg/debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: testpkg
-Maintainer: Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>, Üñïcøδ€ <unicode@example.com>
+Maintainer: This field contains Üñïcøδ€ <autopkgtest-devel@lists.alioth.debian.org>
 Section: oldlibs
 Priority: optional
 Standards-Version: 4.0.1
